<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ex 3</title>
</head>
<body>
    <script>
//Ecrire un algorithme qui demande un nombre de départ, et qui calcule sa factorielle.

//NB : la factorielle de 8, notée 8 !, vaut

//1 x 2 x 3 x 4 x 5 x 6 x 7 x 8

                function factorial(n) {
  return (n != 1) ? n * factorial(n - 1) : 1;
}

alert( factorial(6) ); // 120
    </script>
    
</body>
</html>